e107 (software)

e107 is een gratis content management systeem (CMS) dat het ontwerp en het beheer van websites of community – portals gemakkelijker. Het maakt gebruik van PHP en database-ondersteuning via MySQL en kan worden gebruikt voor websites of lokale intranetsites . Momenteel worden verschillende talen ondersteund, die u naast het programmapakket kunt downloaden.

De naam is afgeleid van het feit dat dit het zevende project was waar de maker aan werkte.

e107 is vrijgegeven onder de GNU General Public License .

Geschiedenis

e107 is gebaseerd op de broncode die oorspronkelijk op LiteStep- websites werd gebruikt. Jalist, die verantwoordelijk was voor de ontwikkeling van deze webpagina’s, gebruikte een aantal van de broncode van litestep.net [1] en ls2k.org [2] en creëerde een meer modulair systeem. Dit systeem kan dan dienen als een codebasis voor anderen om hun eigen community-gestuurde websites te maken.

De broncodeverzameling werd exclusief onderhouden tot versie 0.612 door Jalist toen er een ontwikkelingsteam werd gevormd. Het ontwikkelteam ontwikkelt, onderhoudt en bouwt build-releases voor het e107-systeem.

In 2006 en 2007 werd e107 door het publiek genomineerd als een van de vijf finalisten in de Pack Open Source Content Management System Award. Het resultaat is hier te vinden: packtpub

Versies

De publicaties zijn genummerd in de “standaard” -stijl tot 5.4 alvorens te beslissen de versienummering te wijzigen . De volgende grote release is uitgebracht als versie 0.6. Versiebeheer wordt voortgezet voor alle volgende releases die op deze stijl volgen. De nieuwste versie, die momenteel gratis kan worden gedownload, is de e107 v2.1.4. (Vanaf januari 2017)

Functies

  • Op bestanden gebaseerd cachen
  • Geïntegreerd nieuwssysteem en RSS- ondersteuning
  • Sjabloonsysteem en mogelijkheid om sjablonen te maken
  • Ondersteuning voor HTML5 en jQuery en functionaliteit
  • Forum-systeem voor het creëren van geïntegreerde fora
  • Beheerderssysteem voor websitebeheer
  • Ontworpen voor bootstrap v3

De minimumvereisten voor e107 van versie v2.xx omvatten:

  • MySQL (MySQL 4.x of hoger)
  • PHP (versie v5.4 of hoger)

PHP moet worden gecompileerd met MySQL-ondersteuning om e107 correct te laten werken. Voor de werking van e107 beveelt de fabrikant Apache aan . Elke webserver die compatibel is met PHP en MySQL zou echter ook moeten werken. e107 werkt met alle Linux of Windows gebaseerde servers, IIS , MySQL en PHP.

Webkoppelingen

  • Officiële homepage e107
  • Officiële e107-plug-ins
  • Officiële e107-thema’s
  • Een Duitstalig syndicaat met Duitse ondersteuning voor het CMS-systeem e107.
  • Duitstalige bestanden voor het CMS-systeem e107. De Duitse vertaling in de originele mappen van de e107 is met BING vertaald en is daarom nauwelijks bruikbaar

Bronnen

  • Tad Boomer: websites bouwen met e107 . Packs Publishing, februari 2007, ISBN 1904811310 .
  1. Spring omhoog↑ litestep.net
  2. Spring omhoog↑ ls2k.org